Ask Your Question
0

Few questions about kernel updates and nvidia drivers

asked 2015-07-23 07:38:03 -0500

Marko gravatar image

So when i installed Fedora 22 it was on kernel-4.0.6-300.fc22.x86_64. I installed Nvidia drivers following http://rpmfusion.org/Howto/nVidia (GeForce 8/9/200/300/405 + x86_64 (64bit) users) and it was super easy to do it. After reboot everything worked. Next two kernel updates when kernel-4.0.7-300 and kernel-4.0.8-300 showed up the Gnome broke (Oh no Something has gone wrong). One time i asked asked developer of Fedy if he particularly emphasized that the Fedy does not support Nvidia driver installation because it is so messy and he said yes.

My questions are how all of this in Fedora works? Why kernel-4.0.6-300 works with Nvidia drivers but newer one does not? Is there some kind of pattern to follow with Fedora updates or web page where someone posts what work with what and what not? Is there some rule that counts one kernel as stable and others as cutting edge, which kernel in Fedora is that and how do i avoid DNF and Gnome Software Center from updating to new kernels? What is the best practice?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
3

answered 2015-07-23 08:15:27 -0500

anishjp gravatar image

Akmod is supposed to handle those issues but unfortunately it is not doing it well. Read here to understand more about kmod and akmod. There is no particular pattern to follow and it is not necessary that you have to update to the latest kernel all the time. Most of the kernels that are pushed into the repository are stable ones. Fedora can work well with the native graphics drivers so there is no need to install nvidia drivers unless you have a specific need.

edit flag offensive delete link more

Comments

Thank you for feedback.

Marko gravatar imageMarko ( 2015-07-25 00:41:01 -0500 )edit

How do i list available kmods? It says in article that with kmod we have to wait until a matching kmod is available before installing the kernel update.

Marko gravatar imageMarko ( 2015-07-25 00:45:05 -0500 )edit

Okay i figured out that it should be package and that i could search, info with dnf. But for one package, "kmod-nvidia-340xx" it says: "Metapackage which tracks in nvidia-340xx kernel module for newest kernel". Now i will try to install it but im sure it will not work with current kernel.

Marko gravatar imageMarko ( 2015-07-25 00:47:45 -0500 )edit

Question Tools

1 follower

Stats

Asked: 2015-07-23 07:38:03 -0500

Seen: 747 times

Last updated: Jul 23 '15